<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/31/2004 *
 * ================                             Last change: 11/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_bonus.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Configure "turbo-click-bonus"                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellen der Turbo-Klick-Verguetungen          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

if (isset($_POST['ok'])) {
	// Replace german decimal commas to computer decimal dots
	$_POST['login_bonus']         = REVERT_COMMA($_POST['login_bonus']        );
	$_POST['turbo_bonus']         = REVERT_COMMA($_POST['turbo_bonus']        );
	$_POST['bonus_ref']           = REVERT_COMMA($_POST['bonus_ref']          );
	$_POST['bonus_order']         = REVERT_COMMA($_POST['bonus_order']        );
	$_POST['bonus_notify_points'] = REVERT_COMMA($_POST['bonus_notify_points']);

	// Generate string for saving ranks
	$_POST['turbo_rates'] = ""; $RATES = array();
	foreach ($_POST['rate'] as $rate) {
		$rate = trim(REVERT_COMMA($rate));
		if (isset($rate)) $RATES[] = $rate;
	}
	$_POST['turbo_rates'] = trim(implode(";", $RATES));
	unset($_POST['rate']);

	// Automatically calculate bonus points for ranks 2 and 3 when not set
	if (empty($_POST['turbo_rates'])) $_POST['turbo_rates'] = "".round(getConfig('turbo_bonus') / 2).";".round(getConfig('turbo_bonus') / 4)."";

	// Save data
	ADMIN_SAVE_SETTINGS($_POST);

	// Remember new settings
	setConfigEntry('bonus_active'   , $_POST['bonus_active']);
	setConfigEntry('bonus_en_notify', $_POST['bonus_en_notify']);
	setConfigEntry('bonus_di_notify', $_POST['bonus_di_notify']);
} else {
	// Prepare contants for the template
	define('__LOGIN_VALUE' , TRANSLATE_COMMA(getConfig('login_bonus')        , false));
	define('__TURBO_VALUE' , TRANSLATE_COMMA(getConfig('turbo_bonus')        , false));
	define('__ORDER_VALUE' , TRANSLATE_COMMA(getConfig('bonus_order')        , false));
	define('__REF_VALUE'   , TRANSLATE_COMMA(getConfig('bonus_ref')          , false));
	define('__STATS_VALUE' , TRANSLATE_COMMA(getConfig('bonus_stats')        , false));
	define('__NOTIFY_VALUE', TRANSLATE_COMMA(getConfig('bonus_notify_points'), false));
	define('__TRANKS_VALUE', getConfig('bonus_ranks'));
	define('__TLINES_VALUE', getConfig('bonus_lines'));

	// Transfer options to template __MEMBER_SELECTION
	define('__MEMBER_SELECTION', ADD_MEMBER_SELECTION_BOX(getConfig('bonus_uid'), false, true, true, "bonus_uid"));

	// Initialize array for the points list
	//die("*".getConfig('turbo_rates')."*");
	$RANKS = explode(";", getConfig('turbo_rates'));

	// Automatically calculate bonus points for ranks 2 and 3 when not set
	if (getConfig('turbo_rates') == "") $RANKS = array(round(getConfig('turbo_bonus') / 2), round(getConfig('turbo_bonus') / 4));

	// Generate list
	$OUT = "<ol start=\"2\">\n";
	$cnt = 0;
	foreach ($RANKS as $k => $rate) {
		if (!empty($rate)) 	{
			// Print only when something is in
			$OUT .= "  <li><input type=\"text\" name=\"rate[".($k + 2)."]\" class=\"admin_normal\" size=\"4\" maxlength=\"7\" value=\"".$rate."\">&nbsp;<div class=\"admin_notes\">({!POINTS!})</div?</li>\n";
		}
		$cnt++;
	}
	// Maxmium entries
	$max = 10;
	if ($cnt >= 8) $max = $cnt+3;

	// Add more empty fields
	for ($i = $cnt; $i < $max; $i++) {
		$OUT .= "  <li><input type=\"text\" name=\"rate[".($i+2)."]\" class=\"admin_normal\" size=\"4\" maxlength=\"7\">&nbsp;<div class=\"admin_notes\">({!POINTS!})</div?</li>\n";
	}
	$OUT .= "</ol>\n";
	define('__TRATES_LIST', $OUT);

	define('__LOGIN_TIMEOUT_SELECTION', CREATE_TIME_SELECTIONS(getConfig('login_timeout')    , "login_timeout"    , "WDh"));
	define('__BONUS_TIMEOUT_SELECTION', CREATE_TIME_SELECTIONS(getConfig('bonus_timeout')    , "bonus_timeout"    , "WDh"));
	define('__WAIT_SELECTION'         , CREATE_TIME_SELECTIONS(getConfig('bonus_notify_wait'), "bonus_notify_wait", "ms" ));

	// Activate / Deactivate bonus active rallye (Y/N)
	switch (getConfig('bonus_active'))
	{
	case "Y":
		define('__BONUS_ACTIVE_Y', " checked=\"checked\"");
		define('__BONUS_ACTIVE_N', "");
		break;

	case "N":
		define('__BONUS_ACTIVE_Y', "");
		define('__BONUS_ACTIVE_N', " checked=\"checked\"");
		break;
	}
	// Other bonus to de-/activate
	switch (getConfig('bonus_login_yn'))
	{
	case "Y":
		define('__BONUS_LOGIN_Y', " checked=\"checked\"");
		define('__BONUS_LOGIN_N', "");
		break;

	case "N":
		define('__BONUS_LOGIN_Y', "");
		define('__BONUS_LOGIN_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_stats_yn'))
	{
	case "Y":
		define('__BONUS_STATS_Y', " checked=\"checked\"");
		define('__BONUS_STATS_N', "");
		break;

	case "N":
		define('__BONUS_STATS_Y', "");
		define('__BONUS_STATS_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_order_yn'))
	{
	case "Y":
		define('__BONUS_ORDER_Y', " checked=\"checked\"");
		define('__BONUS_ORDER_N', "");
		break;

	case "N":
		define('__BONUS_ORDER_Y', "");
		define('__BONUS_ORDER_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_ref_yn'))
	{
	case "Y":
		define('__BONUS_REF_Y', " checked=\"checked\"");
		define('__BONUS_REF_N', "");
		break;

	case "N":
		define('__BONUS_REF_Y', "");
		define('__BONUS_REF_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_click_yn'))
	{
	case "Y":
		define('__BONUS_CLICK_Y', " checked=\"checked\"");
		define('__BONUS_CLICK_N', "");
		break;

	case "N":
		define('__BONUS_CLICK_Y', "");
		define('__BONUS_CLICK_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_en_notify'))
	{
	case "Y":
		define('__BONUS_EN_NOTIFY_Y', " checked=\"checked\"");
		define('__BONUS_EN_NOTIFY_N', "");
		break;

	case "N":
		define('__BONUS_EN_NOTIFY_Y', "");
		define('__BONUS_EN_NOTIFY_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_di_notify'))
	{
	case "Y":
		define('__BONUS_DI_NOTIFY_Y', " checked=\"checked\"");
		define('__BONUS_DI_NOTIFY_N', "");
		break;

	case "N":
		define('__BONUS_DI_NOTIFY_Y', "");
		define('__BONUS_DI_NOTIFY_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_new_mem_notify'))
	{
	case "Y":
		define('__BONUS_NEW_MEMBER_NOTIFY_Y', " checked=\"checked\"");
		define('__BONUS_NEW_MEMBER_NOTIFY_N', "");
		break;

	case "N":
		define('__BONUS_NEW_MEMBER_NOTIFY_Y', "");
		define('__BONUS_NEW_MEMBER_NOTIFY_N', " checked=\"checked\"");
		break;
	}
	switch (getConfig('bonus_include_own'))
	{
	case "Y":
		define('__BONUS_INCLUDE_OWN_Y', " checked=\"checked\"");
		define('__BONUS_INCLUDE_OWN_N', "");
		break;

	case "N":
		define('__BONUS_INCLUDE_OWN_Y', "");
		define('__BONUS_INCLUDE_OWN_N', " checked=\"checked\"");
		break;
	}

	// Load final template
	LOAD_TEMPLATE("admin_config_bonus", false);
}
//
?>
