<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/16/2004 *
 * ===============                              Last change: 11/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : session.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Session management                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sitzungs-Management                              *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Check if view.php nor click.php was called
// If not set variables to default
if (empty($CLICK)) $CLICK = 0;
if (empty($VIEW))  $VIEW  = 0;

// Skip updating of cookies when viewing a banner
if (($VIEW == 1) && ($_SERVER['PHP_SELF'])) return;

// Set session save path if set
if (getConfig('session_save_path') != "") {
	// Please make sure this valid!
	session_save_path(getConfig('session_save_path'));
} // END - if

// Start the session
session_start();

// Load language system
LOAD_INC_ONCE("inc/language.php");

// Load extensions here
LOAD_INC_ONCE("inc/load_extensions.php");

// Determine and set referal id
DETERMINE_REFID();

// Transfer userid from session and validate it
if (isset($_SESSION['userid'])) {
	// Get it secured from session
	$GLOBALS['userid'] = bigintval($_SESSION['userid']);

	// Is it valid?
	if (!IS_MEMBER()) {
		// Then destroy the user id
		destroy_user_session();

		// Kill userid
		$GLOBALS['userid'] = 0;
	} // END - if
} // END - if

// Test session if index.php or modules.php is loaded
if ((basename($_SERVER['PHP_SELF']) == "index.php") || (basename($_SERVER['PHP_SELF']) == "modules.php") || (isBooleanConstantAndTrue('mxchange_installing'))) {
	if (count($_SESSION) > 0) {
		// Session variables accepted!
		define('__COOKIES', true);
	} else {
		// Cookies rejected!
		define('__COOKIES', false);
	}
} // END - if

//* DEBUG: */ print("<pre>".print_r($_SESSION, true)."</pre>");

//
?>
